AzureBareMetalInstancesOperations Class
AzureBareMetalInstancesOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectAzureBareMetalInstancesOperations
Constructor
AzureBareMetalInstancesOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| get |
Gets an Azure BareMetal instance. Gets an Azure BareMetal instance for the specified subscription, resource group, and instance name. |
| list_by_resource_group |
Gets a list of Azure BareMetal instances in the specified subscription and resource group. Gets a list of AzureBareMetal instances in the specified subscription and resource group. The operations returns various properties of each Azure BareMetal instance. |
| list_by_subscription |
Gets a list of Azure BareMetal instances in the specified subscription. Gets a list of AzureBareMetal instances in the specified subscription. The operations returns various properties of each Azure BareMetal instance. |
| update |
Patches the Tags field of a Azure BareMetal instance. Patches the Tags field of a Azure BareMetal instance for the specified subscription, resource group, and instance name. |
get
Gets an Azure BareMetal instance.
Gets an Azure BareMetal instance for the specified subscription, resource group, and instance name.
async get(resource_group_name: str, azure_bare_metal_instance_name: str, **kwargs: Any) -> azure.mgmt.baremetalinfrastructure.models._models_py3.AzureBareMetalInstance
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
AzureBareMetalInstance, or the result of cls(response)
Return type
Exceptions
list_by_resource_group
Gets a list of Azure BareMetal instances in the specified subscription and resource group.
Gets a list of AzureBareMetal instances in the specified subscription and resource group. The operations returns various properties of each Azure BareMetal instance.
list_by_resource_group(resource_group_name: str, **kwargs: Any) -> AsyncIterable[azure.mgmt.baremetalinfrastructure.models._models_py3.AzureBareMetalInstancesListResult]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either AzureBareMetalInstancesListResult or the result of cls(response)
Return type
Exceptions
list_by_subscription
Gets a list of Azure BareMetal instances in the specified subscription.
Gets a list of AzureBareMetal instances in the specified subscription. The operations returns various properties of each Azure BareMetal instance.
list_by_subscription(**kwargs: Any) -> AsyncIterable[azure.mgmt.baremetalinfrastructure.models._models_py3.AzureBareMetalInstancesListResult]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either AzureBareMetalInstancesListResult or the result of cls(response)
Return type
Exceptions
update
Patches the Tags field of a Azure BareMetal instance.
Patches the Tags field of a Azure BareMetal instance for the specified subscription, resource group, and instance name.
async update(resource_group_name: str, azure_bare_metal_instance_name: str, tags_parameter: azure.mgmt.baremetalinfrastructure.models._models_py3.Tags, **kwargs: Any) -> azure.mgmt.baremetalinfrastructure.models._models_py3.AzureBareMetalInstance
Parameters
- tags_parameter
- <xref:bare_metal_infrastructure_client.models.Tags>
Request body that only contains the new Tags field.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
AzureBareMetalInstance, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.baremetalinfrastructure.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\baremetalinfrastructure\\models\\__init__.py'>
Feedback
Submit and view feedback for